Subject: Re: [EN] NNCP 8.8.3 release announcement

From: John Goerzen <[email-masked]>
Date: Fri, 05 May 2023 08:14:10 -0500

Hi everyone,

Thanks Sergey for the fix!

A quick update:

My Docker NNCP image is updated to 8.8.3.

For Debian, we are quite near a new release.  The changes to the Go deps
in 8.8.3 aren't going to qualify for a freeze exception.  However, I
cherry-picked the fix for the reported bug and released 8.8.2-3 with it.
I requested and was granted a freeze exception, meaning that this bugfix
is likely to be present when the next stable version of Debian is
released in the coming weeks.  I will also make a bullseye-backports
release of 8.8.2-3 as soon as it enters testing.

Once the Debian release completes, I will need to wait for Go 1.20 to
enter unstable, and then I will upload 8.8.3 properly.

- John

On Sat, Apr 29 2023, Sergey Matveev wrote:

> I am pleased to announce NNCP 8.8.3 release availability!
>
> NNCP (Node to Node copy) is a collection of utilities simplifying
> secure store-and-forward files and mail exchanging.
>
> This utilities are intended to help build up small size (dozens of
> nodes) ad-hoc friend-to-friend (F2F) statically routed darknet
> delay-tolerant networks for fire-and-forget secure reliable files, file
> requests, Internet mail and commands transmission. All packets are
> integrity checked, end-to-end encrypted (E2EE), explicitly authenticated
> by known participants public keys. Onion encryption is applied to
> relayed packets. Each node acts both as a client and server, can use
> push and poll behaviour model. Also there is multicasting areas support.
>
> Out-of-box offline sneakernet/floppynet, dead drops, sequential and
> append-only CD-ROM/tape storages, air-gapped computers support. But
> online TCP daemon with full-duplex resumable data transmission exists.
>
> ------------------------ >8 ------------------------
>
> The main improvements for that release are:
>
> * Fixed 'nncp-reass' command, that incorrectly reported about wrong
>   last chunk's size if it is multiple of the chunk-size.
>
> * Updated dependencies.  Go 1.20+ is required now.
>
> ------------------------ >8 ------------------------
>
> NNCP's home page is: http://www.nncpgo.org/
>
> Source code and its signature for that version can be found here:
>
>     http://www.nncpgo.org/download/nncp-8.8.3.tar.xz (1779 KiB)
>     http://www.nncpgo.org/download/nncp-8.8.3.tar.xz.sig
>
> GPG key ID: 0x2B25868E75A1A953 NNCP releases <[email-masked]>
> Fingerprint: 92C2 F0AE FE73 208E 46BF  F3DE 2B25 868E 75A1 A953
>
> There are mirrors where you can also get the source code tarballs:
> http://www.nncpgo.org/Mirrors.html
>
> Please send questions regarding the use of NNCP, bug reports and patches
> to mailing list: http://lists.cypherpunks.ru/nncp_002ddevel.html